#********************************************************************
# 
#      Original Author: Eric Boucher
#      Date:            05/05/2003
# 
#      Experimental Physics and Industrial Control System (EPICS)
# 
#      Copyright 1991, the University of Chicago Board of Governors.
# 
#      This software was produced under  U.S. Government contract
#      W-31-109-ENG-38 at Argonne National Laboratory.
# 
#      Beamline Controls & Data Acquisition Group
#      Experimental Facilities Division
#      Advanced Photon Source
#      Argonne National Laboratory
# 
# 
# example1.py,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
# 
# Modification Log:
# 01. 05/07/2003  erb  initial development
# 
# 


from gov.aps.epics.jca import *


try:

	print "Creating context"
	ctxt= Ca.createContext("MyContext", Ca.ENABLE_PREEMPTIVE_CALLBACK, Ca.THREAD_CTRL_EXTERNAL)


	print "\nCreating channel"
	ch= ctxt.createChannel("rix:xxxExample")
	ctxt.pendIO(1.0)

	ch.printInfo()

	print "\nWriting string value to channel"
	ch.put("5.7")
	ctxt.pendIO(1.0)


	print "\nReading native type and length value from channel	"
	val= ch.get()
	ctxt.pendIO(1.0)
	val.printInfo()

	print "\nWriting double value to channel"
	ch.put(15.3)
	ctxt.pendIO(1.0)
	
	print "\nReading a DBR_CTRL_DOUBLE type value from channel"
	val= ch.get(Ca.DBR_CTRL_DOUBLE, 1)
	ctxt.pendIO(1.0)
	val.printInfo()
	


	print "\nDestroying channel"
	ch.destroy()

	print "\nDestroying context\n"
	ctxt.destroy()
	
except CaException, ex:
	print ex


