/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * CaException.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */


package gov.aps.epics.jca;

/**
 * A marker class for Channel Access exceptions.
 */
public class CaException extends Exception {

  protected int _code;

  public CaException(int code) {
    _code=code;
  }
  public CaException(CaException cause) {
    super(cause);
    _code=cause.getCode();
  }

  public int getCode() { return _code; }
  public int getSeverity() { return Ca.getECACodeSeverity(getCode()); }
  public String getMessage() { return Ca.getECACodeMessage(getCode()); }

}
