/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * Monitor.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package gov.aps.epics.jca;


/**
 * The class representing a Monitor.
 * 
 */
abstract public class Monitor implements CaConstants {
  abstract public Context  getContext();
  abstract public Channel  getChannel();
  abstract public int      getType();
  abstract public int      getCount();
  abstract public int      getMask();
           public boolean  isMonitoringValue() { return (getMask() & DBE_VALUE)!=0; }
           public boolean  isMonitoringLog()   { return (getMask() & DBE_LOG)!=0; }
           public boolean  isMonitoringAlarm() { return (getMask() & DBE_ALARM)!=0; }
  abstract public MonitorListener getMonitorListener();
  abstract public void     clear() throws CaException;
}


