/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_LABELS_Enum.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */



package gov.aps.epics.jca.dbr;

import java.io.*;

import gov.aps.epics.jca.Ca;

public class DBR_LABELS_Enum extends DBR_STS_Enum implements LABELS {
  protected String[] _strs;

  public DBR_LABELS_Enum() {
    this(1);
  }
  public DBR_LABELS_Enum(int count) {
    this(new int[count]);
  }
  public DBR_LABELS_Enum(int[] value) {
    super(value);
    setType(DBR_LABELS_ENUM);
  }

  public String[] getLabels()              { return _strs; }
  public void     setLabels(String[] strs) { _strs= strs;  }


  public void printInfo(PrintStream out) {
    super.printInfo(out);
    out.print  ("LABELS   : ");
    Ca.printValue(getLabels(), out);
    out.println();
  }
}              

