/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_STS_Float.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */



package gov.aps.epics.jca.dbr;

import java.io.*;

public class DBR_STS_Float extends DBR_Float implements STS {
  protected int _status;
  protected int _severity;

  public DBR_STS_Float() {
    this(1);
  }
  public DBR_STS_Float(int count) {
    this(new float[count]);
  }
  public DBR_STS_Float(float[] value) {
    super(value);
    setType(DBR_STS_FLOAT);
  }

  public int  getStatus()           { return _status; }
  public void setStatus(int status) { _status=status; }
  public int  getSeverity()             { return _severity;    }
  public void setSeverity(int severity) { _severity= severity; }

  public void printInfo(PrintStream out) {
    super.printInfo(out);
    out.println("STATUS   : "+ getStatus());
    out.println("SEVERITY : "+ getStatus());
  }

}

