/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_TIME_Int.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */



package gov.aps.epics.jca.dbr;

import java.io.*;


public class DBR_TIME_Int extends DBR_STS_Int implements TIME {
  protected TimeStamp _stamp;

  public DBR_TIME_Int() {
    this(1);
  }
  public DBR_TIME_Int(int count) {
    this(new int[count]);
  }
  public DBR_TIME_Int(int[] value) {
    super(value);
    setType(DBR_TIME_INT);
  }

  public TimeStamp getTimeStamp()                { return _stamp; }
  public void      setTimeStamp(TimeStamp stamp) { _stamp= stamp; }

  public void printInfo(PrintStream out) {
    super.printInfo(out);
    out.println("TIME     : "+ getTimeStamp().toMMDDYY());
  }

}

