/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * JNICa.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */


package gov.aps.epics.jca.jni;

import gov.aps.epics.jca.*;
import gov.aps.epics.jca.dbr.*;




public class JNICa implements CaConstants {

  static public int    getVersion() {
    return JNI._ca_getVersion();
  }
  static public int    getRevision() {
    return JNI._ca_getRevision();
  }
  static public int    getModification() {
    return JNI._ca_getModification();
  }
  static public String getVersionString() {
    return JNI._ca_getVersionString();
  }
  static public String getReleaseString() {
    return JNI._ca_getReleaseString();
  }


  static public Context createContext(String name, int callback, int thread) throws CaException {
    switch(thread) {
      case THREAD_CTRL_EXTERNAL: return new JNIContextTCE(name,callback);
      case THREAD_CTRL_INTERNAL: return new JNIContextTCI(name,callback);
    }
    throw new IllegalArgumentException("Unsupported Thread Control mode: "+ thread);
  }
}


  
