/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * JNIContextExceptionCallback.java,v 1.1.1.1 2003/09/11 14:42:49 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */


package gov.aps.epics.jca.jni;

import gov.aps.epics.jca.*;
import gov.aps.epics.jca.dbr.*;


public class JNIContextExceptionCallback {
  protected JNIContext  _context;
  protected ContextExceptionListener _listener;

  public JNIContextExceptionCallback(JNIContext context, ContextExceptionListener l) {
    _context=context;
    _listener= l;
  }

  public void fire(int channelID, int type, int count, int dbrID, int status, int op, String ctxtInfo, String file, int line) {
    Channel ch=null;
    if(channelID!=0) ch= _context.lookupChannel(channelID);
    DBR dbr=null;
    if(dbrID!=0) {
      dbr= DBRFactory.create(type,count);
      JNI._dbr_update(dbr, dbrID);
    }
    _listener.contextException(new ContextExceptionEvent(_context, ch,type,count,dbr,status,op,ctxtInfo,file,line)); 
  }
}



