/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBData.java,v 1.1.1.1 2003/09/11 14:42:50 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.dbr;

import java.lang.*;


/**
 * Abstract base class for Channel Access database primitive types.
 */
public abstract class DBData {

  /**
   * Return the value as a byte.
   */
  public abstract byte   byteValue();

  /**
   * Return the value as a short.
   */
  public abstract short  shortValue();

  /**
   * Return the value as an int.
   */
  public abstract int    intValue();

  /**
   * Return the value as a long.
   */
  public abstract long   longValue();

  /**
   * Return the value as a float.
   */
  public abstract float  floatValue();

  /**
   * Return the value as a double.
   */
  public abstract double doubleValue();

  /**
   * Return the value as a String.
   */
  public abstract String stringValue();
}
