/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_INFO_DBEnum.java,v 1.1.1.1 2003/09/11 14:42:50 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_GR_ENUM type.
 *
 */
public class DBR_INFO_DBEnum extends DBR_STS_DBEnum {
  protected String[] m_strs=null;

  public DBR_INFO_DBEnum() {
    super(1);
  }
  
  public DBR_INFO_DBEnum(int count) {
    super(count);
  }

  public int type() {
    return DBR.INFO_ENUM;
  }

  public int nbStrings() {
    if(m_strs==null) return 0;
    return m_strs.length;
  }

  public String[] strings() {
    return m_strs;
  }

/*
  protected void setInfo(short status, short severity,
                         String[] strs) {
    super.setInfo(status,severity);
    m_strs= strs;
  };                      
*/

  public void update(gov.aps.epics.jca.dbr.DBR source) {
    super.update(source);

    gov.aps.epics.jca.dbr.LABELS gr= (gov.aps.epics.jca.dbr.LABELS)source;

    m_strs = gr.getLabels();

  }

}
