/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_PUT_ACKS.java,v 1.1.1.1 2003/09/11 14:42:50 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represent the Channel Access DBR_PUT_ACKS type.
 *
 */
public class DBR_PUT_ACKS implements DBR {
  protected short m_value=0;

  public DBR_PUT_ACKS() {
  }

  public int type() {
    return DBR.PUT_ACKS;
  }
  
  public int count() {
    return 1;
  }

  public DBData dataAt(int at) {
    return new DBShort(m_value);
  }
  
  public short valueAt(int at) {
    return m_value;
  }

  public short value() {
    return m_value;
  }

  public void update(gov.aps.epics.jca.dbr.DBR source) {
    short[] val=(short[])source.getValue();
    m_value= val[0];
  }

}
