/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_STSACK_DBString.java,v 1.1.1.1 2003/09/11 14:42:50 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_STSACK_STRING type.
 *
 */
public class DBR_STSACK_DBString extends DBR_STS_DBString {
  protected short  m_ackt=0;
  protected short  m_acks=0;

  public DBR_STSACK_DBString() {
    super();
  }

  public short ackt() {
    return m_ackt;
  }
  public short acks() {
    return m_acks;
  }

  public void update(gov.aps.epics.jca.dbr.DBR source) {
    super.update(source);
    m_ackt= (short) ((gov.aps.epics.jca.dbr.ACK)source).getAckT();
    m_acks= (short) ((gov.aps.epics.jca.dbr.ACK)source).getAckS();
  }

/*
  protected void setInfo(short status, short severity, 
                         short ackt, short acks) {
    super.setInfo(status,severity);
    m_ackt= ackt;
    m_acks= acks;
  }
*/

}
