/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBR_STS_DBShort.java,v 1.2 2003/10/13 12:38:02 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_STS_SHORT type.
 *
 */
public class DBR_STS_DBShort extends DBR_DBShort implements DBR_STS {
  protected short m_status;
  protected short m_severity;

  public DBR_STS_DBShort() {
    super(1);
  }
  
  public DBR_STS_DBShort(int count) {
    super(count);
  }

  public int type() {
    return DBR.STS_SHORT;
  }

  public short status() {
    return m_status;
  }
  
  public short severity() {
    return m_severity;
  }
  
/*
  protected void setInfo(short status, short severity) {
    m_status= status;
    m_severity= severity;
  }
*/

  public void update(gov.aps.epics.jca.dbr.DBR source) {
    super.update(source);
    gov.aps.epics.jca.dbr.STS sts= (gov.aps.epics.jca.dbr.STS)source;
    m_status= (short)sts.getStatus();
    m_severity= (short)sts.getSeverity();
  }

}
