/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * DBShort.java,v 1.1.1.1 2003/09/11 14:42:50 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.dbr;
import java.lang.*;


public class DBShort extends DBData {
  protected short m_value;
  
  public DBShort(short val) {
    m_value= val;
  }
  
  public byte byteValue() {
    return (byte)m_value;
  }
  
  public short shortValue() {
    return (short)m_value;
  }
  
  public int intValue() {
    return (int)m_value;
  }
  
  public long longValue() {
    return (long)m_value;
  }
  
  public float floatValue() {
    return (float)m_value;
  }
  
  public double doubleValue() {
    return (double)m_value;
  }
  
  public String stringValue() {
    return String.valueOf(m_value);
  }
}