/**********************************************************************
 * 
 *      Original Author: Eric Boucher
 *      Date:            05/05/2003
 *
 *      Experimental Physics and Industrial Control System (EPICS)
 *
 *      Copyright 1991, the University of Chicago Board of Governors.
 *
 *      This software was produced under  U.S. Government contract
 *      W-31-109-ENG-38 at Argonne National Laboratory.
 *
 *      Beamline Controls & Data Acquisition Group
 *      Experimental Facilities Division
 *      Advanced Photon Source
 *      Argonne National Laboratory
 *
 *
 * PutEvent.java,v 1.1.1.1 2003/09/11 14:42:50 boucher Exp
 *
 * Modification Log:
 * 01. 05/07/2003  erb  initial development
 *
 */

package jca.event;

import jca.*;
import jca.dbr.*;
import java.lang.*;

public class PutEvent implements CaEvent {
  protected jca.PV                m_pv;
  protected int                   m_type;
  protected int                   m_count;
  protected Object                m_arg;
  protected int                   m_status;

  public PutEvent(jca.PV pv, int type, int count, Object arg, int status) {
    m_pv=pv;
    m_type= type;
    m_count= count;
    m_arg= arg;
    m_status= status;
  }
  
  public jca.PV pv() {
    return m_pv;
  }

  public int type() {
    return m_type;
  }

  public int count() {
    return m_count;
  }
  
  public jca.dbr.DBR dbr() {
    return null;
  }
  
  public Object arg() {
    return m_arg;
  }

  public int status() {
    return m_status;
  }

}
